/* Відповідь 1: 
У JavaScript для оголошення змінної можна використовувати ключові слова var, let або const, залежно від ситуації.
let і const були додані в стандарт ECMAScript 2015 (ES6) і надають більш перевагу для оголошення змінних у сучасному JavaScript. */

/* Відповідь 2:
Функції prompt і confirm вони дозволяють здійснювати взаємодію з користувачем у браузері.
prompt:
Функція prompt виводить спливаюче вікно з текстовим полем, в якому користувач може ввести деякий текст.
Після введення тексту користувачем, функція prompt повертає введений текст як рядок (string).
Використовується, коли потрібно збирати введені дані від користувача, наприклад, отримання імені чи коментаря.
confirm:
Функція confirm виводить спливаюче вікно з питанням і двома кнопками "OK" і "Скасувати".
Користувач може обрати один з варіантів "OK" або "Скасувати".
Функція confirm повертає true, якщо користувач натисне "OK", і false, якщо користувач натисне "Скасувати".
Використовується, коли потрібно підтвердити дію від користувача, наприклад, перед виконанням видалення або зміни даних. */

/* Відпопідь 3:
Неявне перетворення типів, також відоме як автоматичне перетворення типів, відбувається в JavaScript,
коли значення одного типу автоматично перетворюється на інший тип без явного вказання розробником.
Приклад перетворення чисел на рядки: 
let number = 10; (number - числовий тип даних)
let string = "The answer is " + number; (number перетворюється на рядок)
console.log(string);  (Виведе: "The answer is 10") */

// 1 Задача
let name = "Ваше ім'я";
let admin = name;
console.log(admin);

// 2 Задача 
let days = 3;
let seconds = days * 24 * 60 * 60;
console.log(seconds);

// 3 Задача
let age = prompt("Введіть ваш вік:");
console.log(age);
